* [PATCH] ci: Terminate ci_build.sh on errors
@ 2018-12-17 8:30 Jan Kiszka
2018-12-17 14:58 ` Jan Kiszka
2018-12-19 11:43 ` Maxim Yu. Osipov
0 siblings, 2 replies; 3+ messages in thread
From: Jan Kiszka @ 2018-12-17 8:30 UTC (permalink / raw)
To: isar-users, Maksim Osipov
Otherwise, we may paper over real problems.
Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
---
We may have a bug in next (which revealed this bug), currently
reproducing without local patches.
scripts/ci_build.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 62092ca..f3523e8 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -5,6 +5,8 @@
#!/bin/sh
+set -e
+
ES_BUG=3
# Export $PATH to use 'parted' tool
--
2.16.4
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: [PATCH] ci: Terminate ci_build.sh on errors
2018-12-17 8:30 [PATCH] ci: Terminate ci_build.sh on errors Jan Kiszka
@ 2018-12-17 14:58 ` Jan Kiszka
2018-12-19 11:43 ` Maxim Yu. Osipov
1 sibling, 0 replies; 3+ messages in thread
From: Jan Kiszka @ 2018-12-17 14:58 UTC (permalink / raw)
To: isar-users, Maksim Osipov
On 17.12.18 09:30, [ext] Jan Kiszka wrote:
> Otherwise, we may paper over real problems.
>
> Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
> ---
>
> We may have a bug in next (which revealed this bug), currently
> reproducing without local patches.
>
Fortunately, the second issue turned out to be local-only.
Jan
> scripts/ci_build.sh | 2 ++
> 1 file changed, 2 insertions(+)
>
> diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
> index 62092ca..f3523e8 100755
> --- a/scripts/ci_build.sh
> +++ b/scripts/ci_build.sh
> @@ -5,6 +5,8 @@
>
> #!/bin/sh
>
> +set -e
> +
> ES_BUG=3
>
> # Export $PATH to use 'parted' tool
>
--
Siemens AG, Corporate Technology, CT RDA IOT SES-DE
Corporate Competence Center Embedded Linux
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: [PATCH] ci: Terminate ci_build.sh on errors
2018-12-17 8:30 [PATCH] ci: Terminate ci_build.sh on errors Jan Kiszka
2018-12-17 14:58 ` Jan Kiszka
@ 2018-12-19 11:43 ` Maxim Yu. Osipov
1 sibling, 0 replies; 3+ messages in thread
From: Maxim Yu. Osipov @ 2018-12-19 11:43 UTC (permalink / raw)
To: Jan Kiszka, isar-users
On 12/17/18 11:30 AM, Jan Kiszka wrote:
> Otherwise, we may paper over real problems.
Applied to the 'next',
Thanks,
Maxim.
> Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
> ---
>
> We may have a bug in next (which revealed this bug), currently
> reproducing without local patches.
>
> scripts/ci_build.sh | 2 ++
> 1 file changed, 2 insertions(+)
>
> diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
> index 62092ca..f3523e8 100755
> --- a/scripts/ci_build.sh
> +++ b/scripts/ci_build.sh
> @@ -5,6 +5,8 @@
>
> #!/bin/sh
>
> +set -e
> +
> ES_BUG=3
>
> # Export $PATH to use 'parted' tool
>
--
Maxim Osipov
ilbers GmbH
Maria-Merian-Str. 8
85521 Ottobrunn
Germany
+49 (151) 6517 6917
mosipov@ilbers.de
http://ilbers.de/
Commercial register Munich, HRB 214197
General Manager: Baurzhan Ismagulov
^ permalink raw reply [flat|nested] 3+ messages in thread
end of thread, other threads:[~2018-12-19 11:43 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-12-17 8:30 [PATCH] ci: Terminate ci_build.sh on errors Jan Kiszka
2018-12-17 14:58 ` Jan Kiszka
2018-12-19 11:43 ` Maxim Yu. Osipov
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox